<template>
<div>
    <h1 class="mb-8">Do you smoke cigarettes, vape, or use other nicotine containing products?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected"
      text="Next"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin],
  name: "AntiAging11",
  data() {
    return {
      choices: [
        'Yes',
        'No',
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_11')
    }
  }
}
</script>

<style scoped>

</style>
